質問編集履歴

3

追記修正

2021/08/25 13:31

投稿

minalo
minalo

score6

test CHANGED
File without changes
test CHANGED
@@ -268,6 +268,8 @@
268
268
 
269
269
  ###manage,pyにimport sys,pprintを追記して出力した結果
270
270
 
271
+
272
+
271
273
  ```
272
274
 
273
275
  '/code',
@@ -284,6 +286,16 @@
284
286
 
285
287
 
286
288
 
289
+ ###manage,pyにprint(sys.version)を追記した結果
290
+
291
+
292
+
293
+ ```ここに言語を入力
294
+
295
+ 3.9.6(default, Jul 22 2021)
296
+
297
+ ```
298
+
287
299
 
288
300
 
289
301
 

2

不足していた文章を追記しました。

2021/08/25 13:31

投稿

minalo
minalo

score6

test CHANGED
File without changes
test CHANGED
@@ -16,6 +16,12 @@
16
16
 
17
17
  docker-compose up -d --build
18
18
 
19
+ #あらかじめ作っていたsrcディレクトリに移動
20
+
21
+ cd src
22
+
23
+ docker-compose exec python django-admin startproject mysite .
24
+
19
25
  docker-compose exec python bash
20
26
 
21
27
  pip list
@@ -24,6 +30,10 @@
24
30
 
25
31
 
26
32
 
33
+ srcディレクトリに移った後にstartprojectコマンドを行い、src直下にsettings.pyを作成しました、
34
+
35
+
36
+
27
37
 
28
38
 
29
39
 

1

追記依頼を本文に追記しました。またbuildを行うまでの流れを追記しました。

2021/08/24 13:02

投稿

minalo
minalo

score6

test CHANGED
File without changes
test CHANGED
@@ -4,9 +4,31 @@
4
4
 
5
5
  ターミナル上ではpip installが成功しているが、src配下のsetteings.pyにてimport yamlを記述してもmoduleが見つからないエラーが発生しています。
6
6
 
7
+
8
+
9
+ ###pip installを確認するまでに行ったコマンド
10
+
11
+ ```
12
+
13
+ touch dockerfile,docker-compose.yml,requirment.txt
14
+
15
+ dockerfile,docker-compose.yml,requirment.txtに下記コードを記載
16
+
17
+ docker-compose up -d --build
18
+
19
+ docker-compose exec python bash
20
+
21
+ pip list
22
+
23
+ ```
24
+
25
+
26
+
27
+
28
+
7
29
 
8
30
 
9
- 以下がコードになります。
31
+ ###dockerfileなどのコード
10
32
 
11
33
 
12
34
 
@@ -206,6 +228,56 @@
206
228
 
207
229
 
208
230
 
231
+ ###pip show PyYAMLを実行した結果
232
+
233
+ ```
234
+
235
+ Name: PyYAML
236
+
237
+ Version: 5.4.1
238
+
239
+ Summary: YAML parser and emitter for Python
240
+
241
+ Home-page: https://pyyaml.org/
242
+
243
+ Author: Kirill Simonov
244
+
245
+ Author-email: xi@resolvent.net
246
+
247
+ License: MIT
248
+
249
+ Location: /usr/local/lib/python3.9/site-packages
250
+
251
+ Requires:
252
+
253
+ Required-by:
254
+
255
+ ```
256
+
257
+
258
+
259
+ ###manage,pyにimport sys,pprintを追記して出力した結果
260
+
261
+ ```
262
+
263
+ '/code',
264
+
265
+ '/usr/local/lib/python39.zip',
266
+
267
+ '/usr/local/lib/python3.9',
268
+
269
+ '/usr/local/lib/python3.9/lib-dynload',
270
+
271
+ '/usr/local/lib/python3.9/site-packages'
272
+
273
+ ```
274
+
275
+
276
+
277
+
278
+
279
+
280
+
209
281
  当方、docker初心者で色々と調べているのですが、答えが見つかっていないのが現状です。
210
282
 
211
283
  初歩的なご質問でしたら申し訳ございません。